import torch
import torch.nn as nn

class Model(nn.Module):
    def __init__(self, threshold, scale):
        super(Model, self).__init__()
        self.threshold = threshold
        self.scale = scale

    def forward(self, x):
        return torch.where(x > self.threshold, -x * self.scale, torch.tensor(0.0, dtype=x.dtype, device=x.device))

batch_size = 1024
dim = 1024

def get_inputs():
    x = torch.randn(batch_size, dim)
    return [x]

def get_init_inputs():
    return [0.5, 2.0]